gloss-1.7.8.3: Painless 2D vector graphics, animations and simulations.

Safe Haskell | None

Graphics.Gloss.Interface.IO.Animate

Description

Display mode is for drawing a static picture.

Synopsis

- module Graphics.Gloss.Data.Display
- module Graphics.Gloss.Data.Picture
- module Graphics.Gloss.Data.Color
- animateIO :: Display -> Color -> (Float -> IO Picture) -> IO ()
- animateFixedIO :: Display -> Color -> (Float -> IO Picture) -> IO ()

# Documentation

module Graphics.Gloss.Data.Display

module Graphics.Gloss.Data.Picture

module Graphics.Gloss.Data.Color

animateIO Source

Arguments

:: Display | Display mode.
-> Color | Background color.
-> (Float -> IO Picture) | Function to produce the next frame of animation. It is passed the time in seconds since the program started.
-> IO () |

Open a new window and display the given animation.

Once the window is open you can use the same commands as with `display`.

animateFixedIO Source

Arguments

:: Display | Display mode.
-> Color | Background color.
-> (Float -> IO Picture) | Function to produce the next frame of animation. It is passed the time in seconds since the program started.
-> IO () |

Like `animateIO` but don't allow the display to be panned around.